esqueleto-2.5.1: Type-safe EDSL for SQL queries on persistent backends.

Safe Haskell | None
Language | Haskell98

Database.Esqueleto.PostgreSQL

Description

This module contain PostgreSQL-specific functions.

Since: 2.2.8

Synopsis

- arrayAgg :: SqlExpr (Value a) -> SqlExpr (Value [a])
- stringAgg :: SqlString s => SqlExpr (Value s) -> SqlExpr (Value s) -> SqlExpr (Value s)
- chr :: SqlString s => SqlExpr (Value Int) -> SqlExpr (Value s)

# Documentation

arrayAgg :: SqlExpr (Value a) -> SqlExpr (Value [a]) #

(`array_agg`) Concatenate input values, including `NULL`s, into an array.

Since: 2.2.8

stringAgg #

Arguments

:: SqlString s |
=> SqlExpr (Value s) | Input values.
-> SqlExpr (Value s) | Delimiter.
-> SqlExpr (Value s) | Concatenation.

(`string_agg`) Concatenate input values separated by a delimiter.

Since: 2.2.8

chr :: SqlString s => SqlExpr (Value Int) -> SqlExpr (Value s) #

(`chr`) Translate the given integer to a character. (Note the result will depend on the character set of your database.)

Since: 2.2.11